Bug 165444 - CAN-2005-2103 Gaim malformed away message remote code execution
Summary: CAN-2005-2103 Gaim malformed away message remote code execution
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: gaim   
(Show other bugs)
Version: 2.1
Hardware: All
OS: Linux
medium
urgent
Target Milestone: ---
Assignee: Warren Togami
QA Contact:
URL:
Whiteboard: impact=critical,public=20050811,repor...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-08-09 13:27 UTC by Josh Bressers
Modified: 2007-11-30 22:06 UTC (History)
1 user (show)

Fixed In Version: RHSA-2005-589
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-10 03:48:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:589 qe-ready SHIPPED_LIVE Critical: gaim security update 2005-08-09 04:00:00 UTC

Description Josh Bressers 2005-08-09 13:27:20 UTC
+++ This bug was initially created as a clone of Bug #165402 +++

2. There is an oscar remotely exploitable crash bug.  A remote AIM or ICQ user
would need to compile their own client and send a specially crafted IM
(basically an IM containing lots of %s, and flag it as an away message).  It
results in a buffer overflow.  A fix for this has not yet been commited to
CVS, and the issue should be fairly unknown.

The original discovery is here:
http://sourceforge.net/tracker/index.php?func=detail&aid=1235427&group_id=235&atid=100235

Comment 1 Josh Bressers 2005-08-10 03:35:33 UTC
Lifting embargo

Comment 2 Red Hat Bugzilla 2005-08-10 03:48:22 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-589.html



Note You need to log in before you can comment on or make changes to this bug.